Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc
Class CrossCube

    java.lang.Object
      nl.liacs.subdisc.DataCube
          nl.liacs.subdisc.CrossCube

    public class CrossCube

extends DataCube

Constructor Summary
`CrossCube(int theDimensions)`

Method Summary
`double` | `getBDeu()`
`java.util.BitSet` | `getBitSet(int theIndex)`
`int` | `getCount(java.util.BitSet theBitSet)`
`int` | `getCount(int theIndex)`
`int` | `getDimensions()`
`double` | `getEntropy()`
`double` | `getExclusiveCoverage()`
`int` | `getIndex(java.util.BitSet theBitSet)`
`int` | `getOverlap()`
`int` | `getTotalCount()`
`void` | `incrementCount(java.util.BitSet theBitSet)`
`void` | `incrementCount(int theIndex)`
`void` | `setCount(java.util.BitSet theBitSet, int theCount)`
`void` | `setCount(int theIndex, int theCount)`

Methods inherited from class nl.liacs.subdisc.DataCube
`getSize, setSize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrossCube

    public CrossCube(int theDimensions)

Method Detail

### setCount

    public void setCount(java.util.BitSet theBitSet,
                         int theCount)

### setCount

    public void setCount(int theIndex,
                         int theCount)

### getCount

    public int getCount(int theIndex)

### getCount

    public int getCount(java.util.BitSet theBitSet)

### incrementCount

    public void incrementCount(int theIndex)

### incrementCount

    public void incrementCount(java.util.BitSet theBitSet)

### getEntropy

    public double getEntropy()

### getExclusiveCoverage

    public double getExclusiveCoverage()

### getOverlap

    public int getOverlap()

### getBDeu

    public double getBDeu()

### getIndex

    public int getIndex(java.util.BitSet theBitSet)

### getBitSet

    public java.util.BitSet getBitSet(int theIndex)

### getDimensions

    public int getDimensions()

### getTotalCount

    public int getTotalCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD